CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_res_approvals_v AS 
 SELECT DISTINCT approver.identity_id AS approver_id,
    approver.first_name,
    approver.middle_initial,
    approver.last_name,
    approval.approval_type,
    approval.action,
    approval.approval_date,
    approval.item_id,
    approval.identity_id AS approval_id,
    approver.idmrpt_valid_to AS approver_idmrpt_valid_to
   FROM idm_rpt_data.idmrpt_identity_v approver,
    idm_rpt_data.idmrpt_approval_v approval
  WHERE approver.identity_id::text = approval.identity_id::text
  ORDER BY approval.approval_date;

ALTER TABLE idm_rpt_data.idmrpt_res_approvals_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_res_approvals_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_res_approvals_v TO idmrptuser;